Как установить Ubuntu на Ubuntu 16.04

10

Я не могу установить Ubuntu tweak на 16.04. У меня было это на 4 предыдущих версиях Ubuntu, поэтому я точно знаю, что делать, чтобы установить его, он просто не работает с 16.04.

Есть ли у кого-то одинаковые проблемы?

Может ли кто-нибудь помочь?

    
задан user130377 11.05.2016 в 18:16
источник

4 ответа

13

Хотя сейчас программа отказоустойчивость (Мне тоже грустно) есть переупакованная версия, которая работает с 16.04, объявленной в в этой статье .

Здесь есть ppa

deb http://archive.getdeb.net/ubuntu xenial-getdeb apps

, для которого ключ

wget -q -O- http://archive.getdeb.net/getdeb-archive.key | sudo apt-key add -

Или вы можете просто скачать здесь .deb

http://archive.getdeb.net/ubuntu/pool/apps/u/ubuntu-tweak/ubuntu-tweak_0.8.7-1~getdeb2~xenial_all.deb
    
ответ дан Organic Marble 26.05.2016 в 21:34
5

Поскольку LD James уже ответил, что настройка Ubuntu прекращена, и вам лучше использовать другие альтернативы, такие как Инструмент настройки Unity Tweak или Инструмент Gnome Tweak Tool , но если вы действительно хотите использовать Ubuntu tweak on Xenial Xerus (16.04), вот процедура. Но, будьте осторожны, многие из функций могут работать неправильно.

1. Добавить репозиторий GetDeb

Я вижу, что вы уже загрузили deb-файл Ubuntu Tweak. однако для других им нужно добавить репозиторий GetDeb. Поскольку это единственный репозиторий, который все еще предоставляет сборку для Ubuntu Tweak (afaik).

Вот процедура добавления репозитория Getdeb. Ссылка

Самый простой способ - загрузить пакет getdeb и установить его с помощью

sudo dpkg -i getdeb-repository_0.1-1~getdeb1_all.deb

2. Создайте пакет, который предоставляет gir1.2-vte-2.90

Вы можете пропустить создание этого прокси-пакета, загрузив мой встроенный (если вы конечно уверены). Ниже приведена ссылка на удаление этого файла .deb пакета. Если вы загружаете файл .deb, вы можете пропустить шаг 1, 2 и просто установить пакет, выполнив шаг 3.

  • gir1.2-vte-2.90-provider deb file

Некоторые сведения:

Ubuntu 16.04 имеет пакет gir1.2-vte-2.91 . Если у вас его еще нет, установите его с помощью

sudo apt install gir1.2-vte-2.91

Теперь этот пакет является более высоким версией gir1.2-vte-2.90 , от которого зависит Ubuntu Tweak. Но поскольку номер версии включен в имя пакета, apt не обрабатывает gir1.2-vte-2.91 как более высокую версию gir1.2-vte-2.91 . Но пакет gir1.2-vte-2.91 должен действительно работать вместо него.

Итак, наша идея состоит в том, что мы создадим пакет, который будет предоставлять gir1.2-vte-2.90 , потому что мы знаем, что Ubuntu Tweak нуждается в нашей системе через gir1.2-vte-2.91 .

Начнем.

  1. Сначала установите equivs

    sudo apt install equivs
    
  2. Затем создайте файл управления для нашего пакета поставщика gir1.2-vte-2.90-provider

    equivs-control gir1.2-vte-2.90
    
  3. Шаг 2 создаст файл с именем gir1.2-vte-2.90 . Откройте его и замените его содержимым этими строками

    Section: misc
    Priority: optional
    Standards-Version: 3.9.2
    Package: gir1.2-vte-2.90-provider
    Version: 1.0
    Depends: gir1.2-vte-2.91
    Provides: gir1.2-vte-2.90
    Description: A proxy provider for gir1.2-vte-2.90 package
     A proxy provider for gir1.2-vte-2.90 package
    
  4. Теперь используйте эту команду для создания пакета

    equivs-build gir1.2-vte-2.90
    
  5. Установить новый пакет с dpkg

    sudo dpkg -i gir1.2-vte-2.90-provider_1.0_all.deb
    

3. Установите Ubuntu Tweak

  1. Теперь перейдите на страницу настройки сайта Ubuntu GetDeb Ссылка

  2. Нажмите кнопку Установить это сейчас .

  3. Появится диалоговое окно с запросом разрешения на установку пакета. Разрешите это.

Настройка Ubuntu должна быть установлена ​​на вашем Xenial!

    
ответ дан Anwar 31.08.2016 в 09:00
4

Быстрый ответ:

Программа, которую вы пытаетесь установить, является отказом (был анонимным и больше не поддерживается) ... он недоступен для последней версии Ubuntu (16.04). Вам нужно будет использовать одну из других программ настройки, доступных для более поздних версий Ubuntu, таких как:

gnome-tweak-tool
или
unit-tweak-tool

Подробное разрешение

В качестве альтернативы утилита ubuntu-tweak-tool была переупакована, из которой вы можете найти подробные инструкции по установке здесь:
Как установить Ubuntu на Ubuntu 16.04

Еще одна альтернатива этой ошибки gir1.2-vte-2.90 указана в bugs.launchpad.net , где один из пользователей описал метод и предоставил файлы, чтобы он запускался на Ubuntu 16.04. В отчете об ошибке напрямую указывается: Ссылка

Он включил видеорепортаж о том, как использовать его разрешение.

    
ответ дан L. D. James 29.08.2016 в 16:11
3

Это сработало для меня. Чтобы загрузить и установить Ubuntu-Tweak для Ubuntu 16.04, выполните следующие действия:

  • Выделите, щелкните правой кнопкой мыши и скопируйте следующий код:

    wget http://archive.getdeb.net/ubuntu/pool/apps/u/ubuntu-tweak/ubuntu-tweak_0.8.7-1~getdeb2~xenial_all.deb
    
  • Откройте терминал с помощью Ctrl + Alt + t одновременно или щелкните правой кнопкой мыши в папке и щелкните левой кнопкой мыши < kbd> открыть в терминале

  • Вставьте код в свой терминал с помощью Ctrl + Shift + v или щелкните правой кнопкой мыши на терминале и нажмите paste
  • Хит введите .
  • Дважды щелкните файл ubuntu-tweak_0.8.7-1~getdeb2~xenial_all.deb в папке.

Центр программного обеспечения откроется, нажмите install , введите свой пароль при запросе и нажмите enter .

Готово!

    
ответ дан The Wise 09.06.2016 в 16:11